org.kie.internal.conf

## Class PermGenThresholdOption

- java.lang.Object
- - org.kie.internal.conf.PermGenThresholdOption

- All Implemented Interfaces:
    Serializable, org.kie.api.conf.KieBaseOption, org.kie.api.conf.Option, org.kie.api.conf.SingleValueKieBaseOption

      public class PermGenThresholdOption
      extends Object
      implements org.kie.api.conf.SingleValueKieBaseOption

  A class PermGen threshold configuration.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_VALUE` The defualt value for this option
    `static String` | `PROPERTY_NAME` The property name for the default DIALECT

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `static PermGenThresholdOption` | `get(int threshold)` This is a factory method for this PermGen Threshold configuration.
    `String` | `getPropertyName()`
    `int` | `getThreshold()` Returns the threshold value for PermGen
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_NAME

          public static final String PROPERTY_NAME

      The property name for the default DIALECT
      See Also:
        Constant Field Values

    - #### DEFAULT_VALUE

          public static final int DEFAULT_VALUE

      The defualt value for this option
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### get

          public static PermGenThresholdOption get(int threshold)

      This is a factory method for this PermGen Threshold configuration. The factory method is a best practice for the case where the actual object construction is changed in the future.
      Parameters:
        `threshold` - the threshold value for the PermGen option
      Returns:
        the actual type safe PermGen threshold configuration.

    - #### getPropertyName

          public String getPropertyName()

      Specified by:
        `getPropertyName` in interface `org.kie.api.conf.Option`

    - #### getThreshold

          public int getThreshold()

      Returns the threshold value for PermGen
      Returns:

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.